IClassifierTemplateParameter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IClassifierTemplateParameter

    com.change_vision.jude.api.inf.model.IClassifierTemplateParameter

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IClassifierTemplateParameter
extends INamedElement

Interface for Classifier Template Parameter.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract boolean` | `allowSubstitutable()` Check if the parameter allows substitutable.
`abstract Object` | `getDefaultValue()` Get defaultValue of the parameter
`abstract IClass` | `getType()` Get type of the parameter
`abstract void` | `setDefaultValue(Object value)` Set Default Value.
`abstract void` | `setType(IClass type)` Set Type.
`abstract void` | `setTypeExpression(String type)` Set Type Expression.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### allowSubstitutable

    public abstract boolean allowSubstitutable()

  Check if the parameter allows substitutable.

  Returns:
    true it allows substitutable / false it does not allow substitutable

### getType

    public abstract IClass getType()

  Get type of the parameter

  Returns:
    Parameter Type

### getDefaultValue

    public abstract Object getDefaultValue()

  Get defaultValue of the parameter

  Returns:
    Parameter Default Value. IClass for class, String for expression

### setType

    public abstract void setType(IClass type)

  Set Type.

  Parameters:
    `type` - Type
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setTypeExpression

    public abstract void setTypeExpression(String type)

  Set Type Expression.

  Parameters:
    `type` - Type Expression
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setDefaultValue

    public abstract void setDefaultValue(Object value)

  Set Default Value.

  Parameters:
    `value` - Default Value

         if type is Unspecified, it can be any class existed in the project
         if type is a primitive type, it should be a String value here.
         if type is a normal class, it should be the class or one of it's subclasses.
         Otherwise, InvalidEditingException will be occurred.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              NO_TARGET_CLASSIFIER_KEY - if target classifier doesn't exist.
              FORBID_SUBSYSTEM_KEY - if a subsystem is set to a template parameter.
              TEMPLATE_PARAM_ACTUAL_VALUE_ERROR_KEY - if an actual value cannot be set to a template parameter.
              MUST_SUB_CLASS_ERROR_KEY - if the type of parameter is not a sub class.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD